- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
efl::eo::detail::extension_inheritance< evas::image >::type< U > Struct Template Reference

## Public Member Functions
| operator evas::image () const
void | dbg_info_get (Eo_Dbg_Info *root_node_)
bool | file_set (std::string file_, std::string key_)
void | file_get (const char **file_, const char **key_)
bool | save (std::string file_, std::string key_, std::string flags_)
bool | animated_get ()
void | load_size_set (int w_, int h_)
void | load_size_get (int *w_, int *h_)
void | smooth_scale_set (bool smooth_scale_)
bool | smooth_scale_get ()
double | load_dpi_get ()
void | load_dpi_set (double dpi_)
bool | source_clip_get ()
void | source_clip_set (bool source_clip_)
evas::object | source_get ()
bool | source_set (evas::object src_)
bool | filled_get ()
void | filled_set (bool filled_)
Evas_Image_Content_Hint | content_hint_get ()
void | content_hint_set (Evas_Image_Content_Hint hint_)
void | load_region_get (int *x_, int *y_, int *w_, int *h_)
void | load_region_set (int x_, int y_, int w_, int h_)
bool | alpha_get ()
void | alpha_set (bool alpha_)
void | border_get (int *l_, int *r_, int *t_, int *b_)
void | border_set (int l_, int r_, int t_, int b_)
double | border_scale_get ()
void | border_scale_set (double scale_)
bool | pixels_dirty_get ()
void | pixels_dirty_set (bool dirty_)
const Evas_Video_Surface * | video_surface_get ()
void | video_surface_set (Evas_Video_Surface *surf_)
unsigned int | video_surface_caps_get ()
void | video_surface_caps_set (unsigned int caps_)
bool | load_orientation_get ()
void | load_orientation_set (bool enable_)
Evas_Fill_Spread | fill_spread_get ()
void | fill_spread_set (Evas_Fill_Spread spread_)
Evas_Border_Fill_Mode | border_center_fill_get ()
void | border_center_fill_set (Evas_Border_Fill_Mode fill_)
void | size_get (int *w_, int *h_)
void | size_set (int w_, int h_)
bool | source_visible_get ()
void | source_visible_set (bool visible_)
void | fill_get (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_)
void | fill_set (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_)
Evas_Native_Surface * | native_surface_get ()
void | native_surface_set (Evas_Native_Surface *surf_)
int | load_scale_down_get ()
void | load_scale_down_set (int scale_down_)
Evas_Image_Scale_Hint | scale_hint_get ()
void | scale_hint_set (Evas_Image_Scale_Hint hint_)
bool | source_events_get ()
void | source_events_set (bool source_)
Evas_Colorspace | colorspace_get ()
void | colorspace_set (Evas_Colorspace cspace_)
void | pixels_get_callback_set (Evas_Object_Image_Pixels_Get_Cb func_, void *data_)
void | mmap_get (const Eina_File **f_, const char **key_)
void | mmap_set (const Eina_File *f_, std::string key_)
void | data_copy_set (void *data_)
void | animated_frame_set (int frame_index_)
bool | region_support_get ()
Evas_Load_Error | load_error_get ()
int | animated_frame_count_get ()
int | stride_get ()
Evas_Image_Animated_Loop_Hint | animated_loop_type_get ()
int | animated_loop_count_get ()
Evas_3D_Scene * | scene_get ()
void | scene_set (Evas_3D_Scene *scene_)
void | filter_program_set (std::string program_)
void | filter_source_set (std::string name_, efl::eo::base eobj_)
bool | filter_padding_get (int *l_, int *r_, int *t_, int *b_)
void | preload_begin ()
void | data_update_add (int x_, int y_, int w_, int h_)
double | animated_frame_duration_get (int start_frame_, int frame_num_)
void | data_set (void *data_)
void * | data_get (bool for_writing_)
void | preload_cancel ()
void * | data_convert (Evas_Colorspace to_cspace_)
bool | pixels_import (Evas_Pixel_Import_Source *pixels_)
void | reload ()